package com.gree.mall.manager.schedule;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.gree.mall.manager.logic.marketing.MarketingMaterialsLogic;
import com.gree.mall.manager.plus.entity.MarketingMaterials;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;

@Component
public class MarketingMaterialsSyncQyWx {

    @Autowired
    private MarketingMaterialsLogic marketingMaterialsLogic;

    @PostConstruct
    public void init(){
        syncMM();
    }

    /**
     * 同步企业微信营销素材
     */
    @Scheduled(fixedDelay = 1000 * 60 * 60 * 12)
    public void syncMM(){
        IPage<MarketingMaterials> marketingMaterialsIPage = marketingMaterialsLogic.updateMaterialsMediaId(2, 50);
        if(marketingMaterialsIPage.getPages() > 1){
            syncMM();
        }

    }

}
